com.verisign.epp.serverstub

## Class NSContactHandler

- java.lang.Object
- - com.verisign.epp.framework.EPPContactHandler
  - - com.verisign.epp.serverstub.NSContactHandler

- All Implemented Interfaces:
    EPPEventHandler

      public class NSContactHandler
      extends EPPContactHandler

  The `NSContactHandler` class is a concrete implementation of the abstract `EPPContactHandler` class. It defines the Server's response to all received EPP contact Commands.
  Version:
    1.0 Dec 13, 2016
  Author:
    ssarpotdar

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NSContactHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EPPEventResponse` | `doContactCheck(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Contact Check Command is received.
    `protected EPPEventResponse` | `doContactCreate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Contact Create Command is received.
    `protected EPPEventResponse` | `doContactDelete(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Contact Delete Command is received.
    `protected EPPEventResponse` | `doContactInfo(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Contact Info Command is received.
    `protected EPPEventResponse` | `doContactTransfer(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Contact Transfer Command is received.
    `protected EPPEventResponse` | `doContactUpdate(EPPEvent aEvent, java.lang.Object aData)` Invoked when a Contact Update Command is received.

    - ### Methods inherited from class com.verisign.epp.framework.EPPContactHandler

      `getNamespace, handleEvent, postHandleEvent, preHandleEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NSContactHandler

          public NSContactHandler()

  - ### Method Detail

    - #### doContactCreate

          protected EPPEventResponse doContactCreate(EPPEvent aEvent,
                                                     java.lang.Object aData)

      Invoked when a Contact Create Command is received. The handler routes the command to the appropriate handler based on the extensions and data included in the command.
      Specified by:
        `doContactCreate` in class `EPPContactHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPContactHandler`
      Returns:
        The response that should be sent back to the client.
      See Also:
        `EPPContactHandler.doContactCreate(com.verisign.epp.framework.EPPEvent, java.lang.Object)`

    - #### doContactDelete

          protected EPPEventResponse doContactDelete(EPPEvent aEvent,
                                                     java.lang.Object aData)

      Invoked when a Contact Delete Command is received. The handler routes the command to the appropriate handler based on the extensions and data included in the command.
      Specified by:
        `doContactDelete` in class `EPPContactHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPContactHandler`
      Returns:
        The response that should be sent back to the client.
      See Also:
        `EPPContactHandler.doContactDelete(com.verisign.epp.framework.EPPEvent, java.lang.Object)`

    - #### doContactInfo

          protected EPPEventResponse doContactInfo(EPPEvent aEvent,
                                                   java.lang.Object aData)

      Invoked when a Contact Info Command is received. The handler routes the command to the appropriate handler based on the extensions and data included in the command.
      Specified by:
        `doContactInfo` in class `EPPContactHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPContactHandler`
      Returns:
        The response that should be sent back to the client.
      See Also:
        `EPPContactHandler.doContactInfo(com.verisign.epp.framework.EPPEvent, java.lang.Object)`

    - #### doContactCheck

          protected EPPEventResponse doContactCheck(EPPEvent aEvent,
                                                    java.lang.Object aData)

      Invoked when a Contact Check Command is received. The handler routes the command to the appropriate handler based on the extensions and data included in the command.
      Specified by:
        `doContactCheck` in class `EPPContactHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPContactHandler`
      Returns:
        The response that should be sent back to the client.
      See Also:
        `EPPContactHandler.doContactCheck(com.verisign.epp.framework.EPPEvent, java.lang.Object)`

    - #### doContactTransfer

          protected EPPEventResponse doContactTransfer(EPPEvent aEvent,
                                                       java.lang.Object aData)

      Invoked when a Contact Transfer Command is received. The handler routes the command to the appropriate handler based on the extensions and data included in the command.
      Specified by:
        `doContactTransfer` in class `EPPContactHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPContactHandler`
      Returns:
        The response that should be sent back to the client.
      See Also:
        `EPPContactHandler.doContactTransfer(com.verisign.epp.framework.EPPEvent, java.lang.Object)`

    - #### doContactUpdate

          protected EPPEventResponse doContactUpdate(EPPEvent aEvent,
                                                     java.lang.Object aData)

      Invoked when a Contact Update Command is received. The handler routes the command to the appropriate handler based on the extensions and data included in the command.
      Specified by:
        `doContactUpdate` in class `EPPContactHandler`
      Parameters:
        `aEvent` - The `EPPEvent` that is being handled
        `aData` - Any data that a Server needs to send to this `EPPContactHandler`
      Returns:
        The response that should be sent back to the client.
      See Also:
        `EPPContactHandler.doContactUpdate(com.verisign.epp.framework.EPPEvent, java.lang.Object)`

Copyright © VeriSign Inc. All Rights Reserved.